Bug 840737 - After the upgrade from glusterfs 3.2 to 3.3, the content of stipe and distributed-stripe is not available in mounted directory
After the upgrade from glusterfs 3.2 to 3.3, the content of stipe and distrib...
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: stripe (Show other bugs)
pre-release
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: shishir gowda
: Triaged
Depends On:
Blocks: 852581
  Show dependency treegraph
 
Reported: 2012-07-17 02:43 EDT by Rahul Hinduja
Modified: 2013-12-08 20:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852581 (view as bug list)
Environment:
Last Closed: 2012-12-26 02:11:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Hinduja 2012-07-17 02:43:35 EDT
Description of problem:

After performing the migration from 3.2 glusterfs to 3.3 glusterfs, tried mounting the stripe and distributed stiped volumes. The data is not available in the mount directory.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Use glusterfs 3.2 and create the stripe and distributed-stripe volumes.
2. Mount these volumes and upload some data.
3. Upgrade the glusterfs version to 3.3
4. mount(using glusterfs or nfs) the stripe and distributed-stripe volume.
5. Data is not available to the mounted directory
  
Actual results:
Data is not available to the mounted directory

Expected results:

Data should be available

Additional info:
Confirmed that the data is available at the backend bricks.
Comment 1 Amar Tumballi 2012-12-24 04:39:02 EST
Shishir, please mark this for a known issue (in migration guide) and then add the text.

----
if we make sure we pass on only 'readdir()' calls down and not 'readdirp()' calls, this should work out...

people should perform 'ls -l' and the distribute should have 'use-readdirp=no' option, with md-cache(stat-prefetch) disabled. need to test this, and see if it  works. If works, can close this with a doc update.
----
Comment 2 shishir gowda 2012-12-26 02:11:09 EST
A work around to mention in the doc is as follows:

Before re-mounting the volume under 3.3
1. 'gluster volume set <volname> stat-prefetch off'
Mount with this xlator option enabled
2. --xlator-option *.use-readdirp=no
3. Run find . |xargs stat on the mount
4. After step 3 is completed, the volume can be used with stat-prefetch and doing a normal mount

We can't fix this issue in the current releases, as this is a migration from non-gfid backend to gfid based backend.

Note You need to log in before you can comment on or make changes to this bug.